Change log for pinentry package in Ubuntu

145 of 45 results
Published in cosmic-proposed on 2018-05-03
pinentry (1.1.0-1build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <email address hidden>  Thu, 03 May 2018 14:18:01 +0000
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2018-02-10
Deleted in bionic-proposed (Reason: moved to release)
pinentry (1.1.0-1) unstable; urgency=medium

  * new upstream release
   - added pinentry-fltk package
  * move to debhelper 11
  * Standards-Version: bump to 4.1.3 (no changes needed)
  * d/control: move Vcs*: to salsa
  * d/copyright: Format: use https
  * use https to point to upstream source
  * d/changelog: strip trailing whitespace
  * doc/pinentry.info is a generated file, drop it during import-orig
  * drop patches already applied upstream, refresh remaining patches
  * document tqt and fltk licensing
  * fix formatting escapes in fltk
  * clean up doc/pinentry.info

 -- Daniel Kahn Gillmor <email address hidden>  Mon, 05 Feb 2018 20:18:30 -0500

Available diffs

Superseded in bionic-release on 2018-02-10
Deleted in bionic-proposed on 2018-02-11 (Reason: moved to release)
pinentry (1.0.0-3) unstable; urgency=medium

  * added notes about how pinentry-curses is not intended
    to work alongside emacs
  * import improvements and bugfixes from upstream
  * wrap-and-sort -ast
  * Stanards-Version: update to 4.1.0 (no changes needed)
  * drop unnecessary build-dep on autoreconf
  * build-depend on pkg-config
  * create simple autopkgtest for pinentry-tty

 -- Daniel Kahn Gillmor <email address hidden>  Tue, 26 Sep 2017 17:52:43 -0400

Available diffs

Superseded in bionic-release on 2017-11-05
Published in artful-release on 2017-04-20
Published in zesty-release on 2017-02-06
Deleted in zesty-proposed (Reason: moved to release)
pinentry (1.0.0-2) unstable; urgency=medium

  * fix documentation typos (Closes: #665879)
  * pinentry-gnome3: Ask for new passwords twice (Closes: #851277)
  * normalize window title behavior across graphical variants
  * pinentry-gtk-2: busy-wait while pointer is already grabbed (Closes: #850708)
  * pinentry-gtk-2: retry input grab based on real time delay (Closes: #851707)

 -- Daniel Kahn Gillmor <email address hidden>  Mon, 06 Feb 2017 03:56:27 -0500

Available diffs

Superseded in zesty-release on 2017-02-06
Deleted in zesty-proposed on 2017-02-08 (Reason: moved to release)
pinentry (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * removed most patches, already imported upstream.

 -- Daniel Kahn Gillmor <email address hidden>  Mon, 05 Dec 2016 22:24:12 -0500

Available diffs

Superseded in zesty-release on 2016-12-08
Deleted in zesty-proposed on 2016-12-10 (Reason: moved to release)
pinentry (0.9.7-9) unstable; urgency=medium

  * more upstream patches (pinentry-gnome3 now falls back to curses when
    screen is locked)

 -- Daniel Kahn Gillmor <email address hidden>  Tue, 08 Nov 2016 14:02:47 -0600

Available diffs

Superseded in zesty-release on 2016-11-09
Deleted in zesty-proposed on 2016-11-10 (Reason: moved to release)
pinentry (0.9.7-8) unstable; urgency=medium

  * more patches from upstream
  * reduce work for the buildds by avoiding some duplicated builds.

 -- Daniel Kahn Gillmor <email address hidden>  Sat, 05 Nov 2016 23:28:59 -0400

Available diffs

Superseded in zesty-release on 2016-11-06
Deleted in zesty-proposed on 2016-11-07 (Reason: moved to release)
pinentry (0.9.7-7) unstable; urgency=medium

  * update debian/watch to use https
  * cleanup patches from upstream
  * pinentry-gnome3: improve fallback to curses (Closes: #841909)

 -- Daniel Kahn Gillmor <email address hidden>  Fri, 04 Nov 2016 23:50:45 -0400

Available diffs

Superseded in zesty-release on 2016-11-06
Deleted in zesty-proposed on 2016-11-07 (Reason: moved to release)
pinentry (0.9.7-6) unstable; urgency=medium

  * included several patches from upstream
  * bumped to debhelper 10
  * p-gnome3 Recommends: dbus-user-session (addresses: #801247)
  * added texinfo to build-dependencies for /usr/bin/makeinfo
  * added bindnow hardening flag
  * bumped standards-version to 3.9.8 (no changes needed)

 -- Daniel Kahn Gillmor <email address hidden>  Tue, 11 Oct 2016 15:52:08 -0400

Available diffs

Superseded in zesty-release on 2016-11-03
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
pinentry (0.9.7-5) unstable; urgency=medium

  * use https for Vcs-* fields
  * bump standards-version to 3.9.7

 -- Daniel Kahn Gillmor <email address hidden>  Sun, 21 Feb 2016 09:53:59 -0800

Available diffs

Superseded in yakkety-release on 2016-04-27
Published in xenial-release on 2016-02-06
Deleted in xenial-proposed (Reason: moved to release)
pinentry (0.9.7-3) unstable; urgency=medium

  * build -tty, -curses, and -qt without libsecret (Closes: #787883)

 -- Daniel Kahn Gillmor <email address hidden>  Thu, 04 Feb 2016 18:13:01 -0500

Available diffs

Superseded in xenial-release on 2016-02-06
Deleted in xenial-proposed on 2016-02-08 (Reason: moved to release)
pinentry (0.9.7-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Kahn Gillmor <email address hidden>  Mon, 04 Jan 2016 10:44:50 -0500

Available diffs

Superseded in xenial-release on 2016-01-05
Deleted in xenial-proposed on 2016-01-06 (Reason: moved to release)
pinentry (0.9.6-4) unstable; urgency=medium

  * make pinentry-qt use qt5 by default. (Closes: #802936)

 -- Daniel Kahn Gillmor <email address hidden>  Wed, 28 Oct 2015 14:22:02 -0400

Available diffs

Superseded in xenial-release on 2015-10-29
Deleted in xenial-proposed on 2015-10-30 (Reason: moved to release)
pinentry (0.9.6-3) unstable; urgency=medium

  * added NEWS entry for pinentry-gtk2 (Closes: #801757)

 -- Daniel Kahn Gillmor <email address hidden>  Mon, 19 Oct 2015 20:40:16 -0400

Available diffs

Superseded in xenial-release on 2015-10-24
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
pinentry (0.9.5-4) unstable; urgency=medium

  * use -std=gnu++11 for pinentry-qt4 (Closes: #795175)

 -- Daniel Kahn Gillmor <email address hidden>  Tue, 11 Aug 2015 13:03:19 -0400
Superseded in wily-proposed on 2015-08-12
pinentry (0.9.5-3ubuntu1) wily; urgency=medium

  * debian/patches/0001-qt4-Replace-the-custom-secure-entry-widget-with-the-.patch:
    Stop using std::string to avoid FTBFS with gcc 5.

 -- Iain Lane <email address hidden>  Tue, 11 Aug 2015 13:27:36 +0100
Superseded in wily-proposed on 2015-08-11
pinentry (0.9.5-3) unstable; urgency=medium

  * added dependency from pinentry-gnome3 to gcr (Closes: #791379)

 -- Daniel Kahn Gillmor <email address hidden>  Wed, 05 Aug 2015 00:39:02 -0400

Available diffs

Superseded in wily-release on 2015-08-13
Deleted in wily-proposed on 2015-08-14 (Reason: moved to release)
pinentry (0.9.5-2) unstable; urgency=medium

  * disable emacs and emacs-fallback until we get a better description of
    them in the upstream documentation

 -- Daniel Kahn Gillmor <email address hidden>  Tue, 07 Jul 2015 14:43:33 -0400

Available diffs

Superseded in wily-release on 2015-07-08
Deleted in wily-proposed on 2015-07-09 (Reason: moved to release)
pinentry (0.9.4-2) unstable; urgency=medium

  * rely on user's choice of password-manager with pinentry-gnome3

 -- Daniel Kahn Gillmor <email address hidden>  Tue, 09 Jun 2015 07:12:16 -0400
Superseded in wily-release on 2015-06-22
Deleted in wily-proposed on 2015-06-23 (Reason: moved to release)
pinentry (0.9.2-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/kubuntu_fix_stayontop.diff: Make pinentry stay on top.
  * Refresh patch.

Available diffs

Superseded in wily-release on 2015-05-30
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
pinentry (0.8.3-2ubuntu1) utopic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/kubuntu_fix_stayontop.diff: Make pinentry stay on top.

Available diffs

Superseded in utopic-release on 2014-05-27
Published in trusty-release on 2014-01-24
Deleted in trusty-proposed (Reason: moved to release)
pinentry (0.8.3-1ubuntu1) trusty; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/kubuntu_fix_stayontop.diff: Make pinentry stay on top.

Available diffs

Superseded in trusty-release on 2014-01-24
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
pinentry (0.8.1-1ubuntu2) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.
 -- Colin Watson <email address hidden>   Mon, 08 Oct 2012 08:38:23 +0100

Available diffs

Superseded in quantal-release on 2012-10-08
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
pinentry (0.8.1-1ubuntu1) oneiric; urgency=low

  * Re-add kubuntu_01_fix_stayontop.diff, dropped while syncing the package
    from Debian.
 -- Felix Geyer <email address hidden>   Sat, 30 Jul 2011 22:32:23 +0200

Available diffs

Superseded in oneiric-release on 2011-08-01
pinentry (0.8.1-1) unstable; urgency=low

  * New upstream release
    - keyboard-race.patch incorporated upstream
    - Fixed segmentation fault in pinentry-gtk2 (closes: #584947)
  * Removed Qt 3 variant (closes: #604369)
  * Updated standards version
  * Changed to debhelper level 8
 -- Scott Kitterman <email address hidden>   Wed,  04 May 2011 14:19:00 +0000

Available diffs

Superseded in oneiric-release on 2011-05-04
Obsolete in natty-release on 2013-06-04
pinentry (0.8.0-1ubuntu2) natty; urgency=low

  * Also drop no longer needed Qt 3 build-depends
 -- Scott Kitterman <email address hidden>   Sun, 17 Oct 2010 17:52:25 -0400

Available diffs

Obsolete in maverick-updates on 2013-03-05
Deleted in maverick-proposed on 2013-03-05 (Reason: moved to -updates)
pinentry (0.8.0-1ubuntu0.1) maverick-proposed; urgency=low

  * Add kubuntu_01_fix_stayontop.diff to make pinetry-qt4 stay on top (LP: #657219)
 -- Rohan Garg <email address hidden>   Sat, 16 Oct 2010 22:27:17 +0530

Available diffs

Superseded in natty-release on 2010-10-17
pinentry (0.8.0-1ubuntu1) natty; urgency=low

  [ Rohan Garg ]
  * Add kubuntu_01_fix_stayontop.diff to make pinetry-qt4 stay on top (LP: #657219)

  [ Scott Kitterman ]
  * Drop obsolete pinentry-qt package
    - Drop package from debian/control
    - pinentry-doc suggests pinentry-qt4 instead
    - Switch configure flag to --disable-pinentry-qt in debian/rules
 -- Scott Kitterman <email address hidden>   Sun, 17 Oct 2010 12:26:29 -0400

Available diffs

Superseded in natty-release on 2010-10-17
Obsolete in maverick-release on 2013-03-05
pinentry (0.8.0-1) unstable; urgency=low

  * New upstream release
  * Changed source format to 3.0 (quilt)
  * Updated standards version
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sun,  09 May 2010 13:59:51 +0100

Available diffs

Superseded in maverick-release on 2010-05-09
Obsolete in lucid-release on 2016-10-26
pinentry (0.7.6-1) unstable; urgency=low

  * New upstream release
    - Includes Qt 4 variant, formerly in separate source package pinentry-qt4
    - Obsoletes gmalloc-prototypes.patch
    - Made Gtk+-2 pinentry transient to the root window (closes: #445607)
  * Changed copyright file to refer to GPL-2 file, per lintian
  * Updated standards version
  * Changed to debhelper level 7 and minimal version 7.2.17, to avoid obsolete 
    calls to install-info
 -- Artur Rona <email address hidden>   Mon,  23 Nov 2009 23:18:27 +0000

Available diffs

Superseded in lucid-release on 2009-11-24
Obsolete in karmic-release on 2013-03-04
pinentry (0.7.6-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #390895).
  * debian/patches/gmalloc-prototypes.patch: Removed, fixed upstream.
  * debian/patches/keyboard-race.patch: updated.

 -- Artur Rona <email address hidden>   Wed, 24 Jun 2009 14:05:14 +0200

Available diffs

Superseded in karmic-release on 2009-06-25
Obsolete in jaunty-release on 2013-02-28
pinentry (0.7.5-3) unstable; urgency=low

  * Converted patches to quilt
  * Updated standards version
  * Dropped pinentry-gtk package (closes: #510740)

 -- Scott Kitterman <email address hidden>   Tue,  17 Feb 2009 17:47:40 +0000

Available diffs

Superseded in jaunty-release on 2009-02-17
pinentry (0.7.5-2.1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove pinentry-gtk binary package and gtk1 build-dep in debian/control,
      Makefile, pinentry.prerm.in, rules, pinentry.1.in, pinentry.postinst.in,
      and pinentry.README.Debian.in
    - Add quilt build-dep so the patch applies

Superseded in jaunty-release on 2008-11-08
Obsolete in intrepid-release on 2013-02-20
pinentry (0.7.5-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Remove pinentry-gtk binary package and gtk1 build-dep in debian/control,
      Makefile, pinentry.prerm.in, rules, pinentry.1.in, pinentry.postinst.in,
      and pinentry.README.Debian.in
    - Change maintainer to Ubuntu Core Developers

Superseded in intrepid-release on 2008-05-06
Obsolete in hardy-release on 2015-04-24
pinentry (0.7.4-2ubuntu2) hardy; urgency=low

  * debian/rules, debian/control: add quilt support.
  * debian/patches/glib-malloc-prototypes: the g_*malloc*() overrides
    must have the same prototype as glib, which means using gsize as the
    size_t analog - not gulong.  Fixes a build failure on 32-bit
    architectures (LP: #194555).

 -- Steve Langasek <email address hidden>   Mon, 25 Feb 2008 04:04:55 +0000
Superseded in hardy-release on 2008-02-25
pinentry (0.7.4-2ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #178203)
  * Remove pinentry-gtk binary package and gtk1 build-dep
    - Touches debian/control, Makefile, pinentry.prerm.in, rules,
      pinentry.1.in, pinentry.postinst.in, and pinentry.README.Debian.in
    - Add pinentry-gtk2 provides/replaces pinentry-gtk in debian/control
  * Change maintainer to Ubuntu Core Developers

Superseded in hardy-release on 2008-01-05
pinentry (0.7.4-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes: (LP: #175558)
  * Remove pinentry-gtk binary package and gtk1 build-dep
    - Touches debian/control, Makefile, pinentry.prerm.in, rules,
      pinentry.1.in, pinentry.postinst.in, and pinentry.README.Debian.in
    - Add pinentry-gtk2 provides/replaces pinentry-gtk in debian/control
  * Change pinentry-doc to Section: doc
  * Change maintainer to Ubuntu Core Developers

 -- Scott Kitterman <email address hidden>   Tue, 11 Dec 2007 09:11:44 -0500
Superseded in hardy-release on 2007-12-11
Obsolete in gutsy-release on 2011-09-16
pinentry (0.7.3-1ubuntu2) gutsy; urgency=low

  * Trigger rebuild for hppa

 -- LaMont Jones <email address hidden>   Thu, 04 Oct 2007 12:19:19 -0600
Superseded in gutsy-release on 2007-10-04
pinentry (0.7.3-1ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
  * Remove pinentry-gtk binary package and gtk1 build-dep
    - Touches debian/control, Makefile, pinentry.prerm.in, rules,
      pinentry.1.in, pinentry.postinst.in, and pinentry.README.Debian.in
    - Add pinentry-gtk2 provides/replaces pinentry-gtk in debian/control
  * Add second leading space to start of home page line in package descriptions
  * Change pinentry-doc to Section: doc
  * Change maintainer to Ubuntu Core Developers

 -- Scott Kitterman <email address hidden>   Wed, 25 Jul 2007 00:42:52 -0400
Superseded in gutsy-release on 2007-07-25
pinentry (0.7.2-3ubuntu2) gutsy; urgency=low

  * Add pinentry-gtk2 provides/replaces pinentry-gtk in debian/control

 -- Scott Kitterman <email address hidden>   Mon, 16 Jul 2007 11:25:24 -0400
Superseded in gutsy-release on 2007-07-17
Superseded in gutsy-release on 2007-07-04
pinentry (0.7.2-3ubuntu1) gutsy; urgency=low

  * Remove pinentry-gtk binary package and gtk1 build-dep
    - Touches debian/control, Makefile, pinentry.manpages.in,
      pinentry.prerm.in, rules, pinentry.1.in, pinentry.install.in,
      pinentry.postinst.in, and pinentry.README.Debian.in
  * Generally freshen the package:
    - Bump compat/debhelper build-dep to 5 without further change
    - Bump standards version to 3.7.2
    - Add second leading space to start of home page line in package
      descriptions
    - Change pinentry-doc to Section: doc
  * Change maintainer to Ubuntu Core Developers

 -- Scott Kitterman <email address hidden>   Tue, 03 Jul 2007 08:45:45 -0400
Superseded in gutsy-release on 2007-07-03
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
pinentry (0.7.2-3) unstable; urgency=low


  * Added linker option --as-needed

 -- Peter Eisentraut <email address hidden>  Fri, 25 Nov 2005 21:12:12 +0100
Obsolete in breezy-release on 2008-03-25
pinentry (0.7.2-1build1) breezy; urgency=low


  * Rebuild for new C++ ABI

 -- Matthias Klose <email address hidden>  Wed, 18 May 2005 15:43:24 +0000
Obsolete in hoary-release on 2008-03-19
pinentry (0.7.1-5) unstable; urgency=low


  * Actually apply the dpatches
  * Removed no longer needed pinentry-cppflags patch

 -- Peter Eisentraut <email address hidden>  Tue,  9 Nov 2004 22:27:14 +0100
Obsolete in warty-release on 2008-01-09
pinentry (0.7.1-3) unstable; urgency=low


  * Suggestions by Martin Pitt...
  * Removed stale pinentry.substvars
  * Changed pinentry-doc Recommends to Suggests
  * Changed pinentry-doc to architecture-independent
  * Added -g to CXXFLAGS
  * Removed empty maintainer scripts  
  * Fixed configure build and host options as suggested by autotools-dev

 -- Peter Eisentraut <email address hidden>  Mon, 21 Jun 2004 09:17:23 +0200
145 of 45 results